SonarLint - SonarAnalyser - SonarQube Server

visualstudio

(Pradeep Singh Bora) #1

Could you please help me to know.

Where I can find the mapping between SonarLint Versions VS SonarAnalyser VS SonarQube.

Or we can use whatever and they are always compatible ?


(Duarte Meneses) #2

Hi,

With the latest versions of SonarLint, it is recommended that you use any version of SonarQube since LTS (6.7).
However, it will work with some older versions of SonarQube (5.6+).
For SonarAnalyzers, we have a strict list of minimal versions: https://github.com/SonarSource/sonarlint-core/blob/master/core/src/main/resources/plugins_min_versions.txt

If your SonarQube has a SonarAnalyzer installed that is too old, you should get a warning about it in SonarLint.


(Pradeep Singh Bora) #3

That is helpful, Thanks :slight_smile: